0
$\begingroup$

Q

C:/snippet_.qs(1,85): error QS3001: Syntax does not match any known patterns. C:/snippet_.qs(1,26): error QS6104: No namespace with the name "Microsoft.Quantum.Intrinsic" exists. C:/snippet_.qs(7,17): error QS5022: No identifier with the name "ArcSin" exists. C:/snippet_.qs(7,30): error QS5022: No identifier with the name "Sqrt" exists. C:/snippet_.qs(8,5): error QS5022: No identifier with the name "Ry" exists. C:/snippet_.qs(11,25): error QS5022: No identifier with the name "H" exists.

$\endgroup$
2
$\begingroup$

You can see in the output of the first cell that the versions of packages Microsoft.Quantum.Standard and Microsoft.Quantum.Katas do not match; they have to match for you to be able to use %kata command that invokes unit test (the first line of the second cell).

  1. If you want to run the Katas (and run unit tests on your code), you need to update your local installation of IQ# to match the version used in %package command. All katas have instructions on how to update IQ# to a specific version, or you can use these instructions.
  2. If you want to run Q# notebooks without the katas, just to run some Q# code, you need to remove the first cell and the %kata command from the second cell.
| improve this answer | |
$\endgroup$
  • 1
    $\begingroup$ gracias! grateful $\endgroup$ – edbert kwesi May 25 at 22:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.